Bug 198223 - rpath should be avoided
rpath should be avoided
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: sg3_utils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-10 11:00 EDT by Florian La Roche
Modified: 2015-03-04 20:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-21 02:01:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian La Roche 2006-07-10 11:00:56 EDT
Description of problem:



sg3_utils-1.20-2.i386.rpm
        /usr/bin/sg_dd  RPATH //usr/local/lib
        /usr/bin/sg_emc_trespass        RPATH //usr/local/lib
        /usr/bin/sg_format      RPATH //usr/local/lib
        /usr/bin/sg_get_config  RPATH //usr/local/lib
        /usr/bin/sg_ident       RPATH //usr/local/lib
        /usr/bin/sg_inq RPATH //usr/local/lib
        /usr/bin/sg_logs        RPATH //usr/local/lib
        /usr/bin/sg_luns        RPATH //usr/local/lib
        /usr/bin/sg_map RPATH //usr/local/lib
        /usr/bin/sg_modes       RPATH //usr/local/lib
        /usr/bin/sg_opcodes     RPATH //usr/local/lib
        /usr/bin/sg_persist     RPATH //usr/local/lib
        /usr/bin/sg_prevent     RPATH //usr/local/lib
        /usr/bin/sg_rbuf        RPATH //usr/local/lib
        /usr/bin/sg_read        RPATH //usr/local/lib
        /usr/bin/sg_read_long   RPATH //usr/local/lib
        /usr/bin/sg_readcap     RPATH //usr/local/lib
        /usr/bin/sg_reassign    RPATH //usr/local/lib
        /usr/bin/sg_requests    RPATH //usr/local/lib
        /usr/bin/sg_rmsn        RPATH //usr/local/lib
        /usr/bin/sg_rtpg        RPATH //usr/local/lib
        /usr/bin/sg_scan        RPATH //usr/local/lib
        /usr/bin/sg_senddiag    RPATH //usr/local/lib
        /usr/bin/sg_ses RPATH //usr/local/lib
        /usr/bin/sg_start       RPATH //usr/local/lib
        /usr/bin/sg_sync        RPATH //usr/local/lib
        /usr/bin/sg_test_rwbuf  RPATH //usr/local/lib
        /usr/bin/sg_turs        RPATH //usr/local/lib
        /usr/bin/sg_verify      RPATH //usr/local/lib
        /usr/bin/sg_wr_mode     RPATH //usr/local/lib
        /usr/bin/sg_write_long  RPATH //usr/local/lib
        /usr/bin/sginfo RPATH //usr/local/lib
        /usr/bin/sgm_dd RPATH //usr/local/lib
        /usr/bin/sgp_dd RPATH //usr/local/lib



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David Nielsen 2006-12-12 18:46:08 EST
Comfirmed suckage. This breaks compilation of libipoddevice 0.5.2

Comment 2 David Nielsen 2007-10-21 02:01:14 EDT
This no longer appears to be valid, please reopen if I'm wrong

Note You need to log in before you can comment on or make changes to this bug.